Bug 1418591 (CVE-2017-5834) - CVE-2017-5834 libplist: Heap-buffer overflow in parse_dict_node
Summary: CVE-2017-5834 libplist: Heap-buffer overflow in parse_dict_node
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5834
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418597
Blocks: 1418595
TreeView+ depends on / blocked
 
Reported: 2017-02-02 09:38 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 07:56:29 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-02 09:38:50 UTC
A vulnerability was found in libplist. There is a heap-buffer overflow in parse_dict_node. A maliciously crafted file could cause the application to crash.

Upstream bug:

https://github.com/libimobiledevice/libplist/issues/89

Upstream patch:

https://github.com/libimobiledevice/libplist/commit/4765d9a60ca4248a8f89289271ac69cbffcc29bc

Comment 1 Andrej Nemec 2017-02-02 09:54:31 UTC
Created libplist tracking bugs for this issue:

Affects: fedora-all [bug 1418597]


Note You need to log in before you can comment on or make changes to this bug.